@echo off
rem -------------------------------------------------------------------------
rem nero.cmd - Script to start nero from WinPE
rem Created by Bart Lagerweij.
rem -------------------------------------------------------------------------
echo NERO.CMD: Starting...
setlocal
%~d0
cd "%~dp0"
set _dir=
for /F %%i in ("C D E F G H I J K L M N O P Q R S T U V W X Y Z") do if exist %%i:\nul set _dir=%%i:\
if "%_dir%" == "" goto _err
echo NERO.CMD: Setting nero cache to "%_dir%"
reg.exe add "HKCU\Software\ahead\Nero - Burning Rom\Cache" /v "Path" /t REG_SZ /d "%_dir%\" /f
if errorlevel 1 goto _err
reg.exe add "HKCU\Software\ahead\Nero - Burning Rom\Cache" /v "Use" /t REG_DWORD /d "1" /f
if errorlevel 1 goto _err
goto _end
:_err
echo.
echo NERO.CMD: Warning! - couldn't set cache directory (used by Nero cache)...
echo NERO.CMD: Nero will now use %temp% (temp)
echo NERO.CMD: This can cause cache errors while burning...
echo.
pause.
:_end
start nero.exe
endlocal
